%define lname lib%name

Name: mlt++
Version: 0.2.2
Release: alt3
Summary: C++ wrapping for the MLT library
License: GPL
Group: System/Libraries
URL: http://sourceforge.net/projects/mlt

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: %name-%version.tar.bz2
Patch0: %name-0.2.2-makefile.patch
Patch1: mlt++-0.2.2-alt-gcc43.patch

# Automatically added by buildreq on Tue Feb 13 2007
BuildRequires: gcc-c++ libmiracle-devel

%description
This mlt sub-project provides a C++ wrapping for the MLT library.

%package -n %lname
Summary: C++ wrapping for the MLT library
Group: System/Libraries

%description -n %lname
This mlt sub-project provides a C++ wrapping for the MLT library.

%package -n %lname-devel
Summary: Development files for %lname.
Group: Development/C++
Requires: %lname = %version-%release

%description -n %lname-devel
Development files for %lname.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
%make_build

%install
%make DESTDIR=%buildroot install

%files -n %lname
%_libdir/*.so.*

%files -n %lname-devel
%_libdir/*.so
%_includedir/%name

%changelog
* Sat Nov 22 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.2.2-alt3
- removed obsolete %%post_ldconfig/%%postun_ldconfig calls

* Sun Oct 26 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.2.2-alt2
- fixed build with gcc4.3

* Thu Dec 20 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.2.2-alt1
- rebuild for mlt-0.2.5

* Wed Sep 05 2007 Alexey Morsov <swi@altlinux.ru> 0.2.2-alt0.3
- rebuild with mlt-0.2.4

* Wed Feb 14 2007 Alexey Morsov <swi@altlinux.ru> 0.2.2-alt0.2
- add Packager (swi@)

* Tue Feb 13 2007 Led <led@altlinux.ru> 0.2.2-alt0.1
- initial build
